Loading...
Searching...
No Matches
BALL::GAFFCESParser::CESPredicate Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

Inheritance diagram for BALL::GAFFCESParser::CESPredicate:

## Public Types

enum | CESwildcards { XA , XB , XC , XD , XX }

## Public Member Functions

| CESPredicate (GAFFCESParser *parser)
virtual | ~CESPredicate ()
void | initStringToWildcard ()
std::map< String, CESwildcards > | getStringToWildcard ()
void | addCESwildcardsConnectionPredicate (String wildcard, Size partners)
void | addCESwildcardsPredicate (String wildcard)
void | addCESelementPredicate (String name)
void | addCESelementConnectionPredicate (Size partners, String name)
void | addTruePredicate () const
virtual bool | operator() (Atom &atom)
virtual bool | match (Atom &)
void | clear ()
bool | alreadySeenThisAtom (Atom *atom)
void | addNewAND ()
void | addNewOR (APSMatcher::APSType aps, int feature_number)

## Public Attributes

APSMatcher | aps_matcher
std::vector< CESPredicate * > | children
CESPredicate * | parent
Atom * | atom_to_test

## Protected Attributes

std::map< String, CESwildcards > | stringToWildcard_
GAFFCESParser * | parser_

## Detailed Description

Definition at line 125 of file GAFFCESParser.h.

## Member Enumeration Documentation

## CESwildcards

enum BALL::GAFFCESParser::CESPredicate::CESwildcards

Enumerator
XA |
XB |
XC |
XD |
XX |

Definition at line 129 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## CESPredicate()

BALL::GAFFCESParser::CESPredicate::CESPredicate | ( | GAFFCESParser * | parser | ) |

inline

Definition at line 134 of file GAFFCESParser.h.

## ~CESPredicate()

virtual BALL::GAFFCESParser::CESPredicate::~CESPredicate | ( |  | ) |

virtual

## Member Function Documentation

## addCESelementConnectionPredicate()

void BALL::GAFFCESParser::CESPredicate::addCESelementConnectionPredicate | ( | Size | partners,
|  | String | name )

## addCESelementPredicate()

void BALL::GAFFCESParser::CESPredicate::addCESelementPredicate | ( | String | name | ) |

## addCESwildcardsConnectionPredicate()

void BALL::GAFFCESParser::CESPredicate::addCESwildcardsConnectionPredicate | ( | String | wildcard,
|  | Size | partners )

## addCESwildcardsPredicate()

void BALL::GAFFCESParser::CESPredicate::addCESwildcardsPredicate | ( | String | wildcard | ) |

## addNewAND()

void BALL::GAFFCESParser::CESPredicate::addNewAND | ( |  | ) |

## addNewOR()

void BALL::GAFFCESParser::CESPredicate::addNewOR | ( | APSMatcher::APSType | aps,
|  | int | feature_number )

## addTruePredicate()

void BALL::GAFFCESParser::CESPredicate::addTruePredicate | ( |  | ) | const

## alreadySeenThisAtom()

bool BALL::GAFFCESParser::CESPredicate::alreadySeenThisAtom | ( | Atom * | atom | ) |

## clear()

void BALL::GAFFCESParser::CESPredicate::clear | ( |  | ) |

## getStringToWildcard()

std::map< String, CESwildcards > BALL::GAFFCESParser::CESPredicate::getStringToWildcard | ( |  | ) |

## initStringToWildcard()

void BALL::GAFFCESParser::CESPredicate::initStringToWildcard | ( |  | ) |

## match()

virtual bool BALL::GAFFCESParser::CESPredicate::match | ( | Atom & |  | ) |

inline virtual

Reimplemented in BALL::GAFFCESParser::CESelementConnectionPredicate, BALL::GAFFCESParser::CESelementPredicate, BALL::GAFFCESParser::CESwildcardsConnectionPredicate, BALL::GAFFCESParser::CESwildcardsPredicate, and BALL::GAFFCESParser::TruePredicate.

Definition at line 162 of file GAFFCESParser.h.

## operator()()

virtual bool BALL::GAFFCESParser::CESPredicate::operator() | ( | Atom & | atom | ) |

virtual

## Member Data Documentation

## aps_matcher

APSMatcher BALL::GAFFCESParser::CESPredicate::aps_matcher

Definition at line 174 of file GAFFCESParser.h.

## atom_to_test

Atom* BALL::GAFFCESParser::CESPredicate::atom_to_test

Definition at line 182 of file GAFFCESParser.h.

## children

std::vector<CESPredicate*> BALL::GAFFCESParser::CESPredicate::children

Definition at line 177 of file GAFFCESParser.h.

## parent

CESPredicate* BALL::GAFFCESParser::CESPredicate::parent

Definition at line 179 of file GAFFCESParser.h.

## parser_

GAFFCESParser* BALL::GAFFCESParser::CESPredicate::parser_

protected

Definition at line 186 of file GAFFCESParser.h.

## stringToWildcard_

std::map<String, CESwildcards > BALL::GAFFCESParser::CESPredicate::stringToWildcard_

protected

Definition at line 185 of file GAFFCESParser.h.